## org.gnu.gtk
Class Table

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Table

public class Table
extends Container

A container that creates a grid of flexible static rectangles that you can use to position and size widgets.

The table cells are referenced by rows and columns. The top left of the table is row 0, column 0.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Table(Handle handle)` Construct a new Table from a handle to a native resource.
`Table(int rows, int columns, boolean homogenous)` Constructs a new table widget.

Method Summary
`void` `attach(Widget child, int leftAttach, int rightAttach, int topAttach, int bottomAttach)` Attaches a child widget to a position in the table.
`void` `attach(Widget child, int leftAttach, int rightAttach, int topAttach, int bottomAttach, AttachOptions xOptions, AttachOptions yOptions, int xPadding, int yPadding)` Attaches a child widget to a position in the table
`int` `getColumnSpacing(int column)` Gets the amount of space between column `column`, and column `column + 1`.
`int` `getDefaultColumnSpacing()` returns the default spacing between columns.
`int` `getDefaultRowSpacing()` returns the default spacing between rows.
`boolean` `getHomogeneous()` Returns whether the table cells are all constrained to the same width and height
`int` `getRowSpacing(int row)` Gets the amount of space between row `row`, and row `row + 1`.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_table_attach_defaults(Handle table, Handle child, int leftAttach, int rightAttach, int topAttach, int bottomAttach)`
`protected static void` `gtk_table_attach(Handle table, Handle child, int leftAttach, int rightAttach, int topAttach, int bottomAttach, int xoptions, int yoptions, int xpadding, int ypadding)`
`protected static int` `gtk_table_get_col_spacing(Handle table, int column)`
`protected static int` `gtk_table_get_default_col_spacing(Handle table)`
`protected static int` `gtk_table_get_default_row_spacing(Handle table)`
`protected static boolean` `gtk_table_get_homogeneous(Handle table)`
`protected static int` `gtk_table_get_row_spacing(Handle table, int row)`
`protected static int` `gtk_table_get_type()`
`protected static Handle` `gtk_table_new(int rows, int columns, boolean homogenous)`
`protected static void` `gtk_table_resize(Handle table, int rows, int cols)`
`protected static void` `gtk_table_set_col_spacing(Handle table, int column, int spacing)`
`protected static void` `gtk_table_set_col_spacings(Handle table, int spacing)`
`protected static void` `gtk_table_set_homogeneous(Handle table, boolean homogeneous)`
`protected static void` `gtk_table_set_row_spacing(Handle table, int row, int spacing)`
`protected static void` `gtk_table_set_row_spacings(Handle table, int spacing)`
`void` `resize(int rows, int columns)` Changes the size of the table after it has been created.
`void` `setColumnSpacing(int spacing)` Sets the space between every column in the table.
`void` `setColumnSpacing(int column, int spacing)` Changes the space between a given table column and its surrounding columns.
`void` `setHomogeneous(boolean homogeneous)` Changes the homogenous property of table cells (ie whether all cells are an equal size or not).
`void` `setRowSpacing(int spacing)` Sets the space between every row in the table.
`void` `setRowSpacing(int row, int spacing)` Changes the space between a given table row and its surrounding rows.

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table(int rows,
                 int columns,
                 boolean homogenous)

  Constructs a new table widget. An initial size must be given by specifying how many rows and columns the table should have, although this can be changed later with the resize method. Rows and columns must both be in the range 0 .. 65535

Parameters:
  `rows` - The initial number of rows in the table
  `columns` - The initial number of columns for the table
  `homogenous` - If set to TRUE, all table cells are resized to the size of the cell containing the largest widget.

### Table

    public Table(Handle handle)

  Construct a new Table from a handle to a native resource.

Method Detail

### resize

    public void resize(int rows,
                       int columns)

  Changes the size of the table after it has been created. The parameters define the requested total number of rows/colums after the resize.

### attach

    public void attach(Widget child,
                       int leftAttach,
                       int rightAttach,
                       int topAttach,
                       int bottomAttach,
                       AttachOptions xOptions,
                       AttachOptions yOptions,
                       int xPadding,
                       int yPadding)

  Attaches a child widget to a position in the table

  Parameters:
    `child` - The widget to add.
    `leftAttach` - The column number to attach the left side of a child widget to.
    `rightAttach` - The column number to attach the right side of a child widget to.
    `topAttach` - The row number to attach the top of a child widget to.
    `bottomAttach` - The row number to attach the bottom of a child widget to.
    `xOptions` - Used to specify the properties of the child widget when the table is resized.
    `yOptions` - The same as xOptions, except this field determines behaviour of vertical resizing.
    `xPadding` - An integer value specifying the padding on the left and right of the widget being added to the table.
    `yPadding` - The amount of padding above and below the child widget.

### attach

    public void attach(Widget child,
                       int leftAttach,
                       int rightAttach,
                       int topAttach,
                       int bottomAttach)

  Attaches a child widget to a position in the table. This is a convenience function provides the programmer with a means to add children to a table with identical padding and expansion options.

  Parameters:
    `child` - The widget to add.
    `leftAttach` - The column number to attach the left side of a child widget to.
    `rightAttach` - The column number to attach the right side of a child widget to.
    `topAttach` - The row number to attach the top of a child widget to.
    `bottomAttach` - The row number to attach the bottom of a child widget to.

### setColumnSpacing

    public void setColumnSpacing(int column,
                                 int spacing)

  Changes the space between a given table column and its surrounding columns.

  Parameters:
    `column` - Column number whose spacing will be changed.
    `spacing` - Number of pixels that the spacing should take up.

### setRowSpacing

    public void setRowSpacing(int row,
                              int spacing)

  Changes the space between a given table row and its surrounding rows.

  Parameters:
    `row` - Row number whose spacing will be changed.
    `spacing` - Number of pixels that the spacing should take up.

### getRowSpacing

    public int getRowSpacing(int row)

  Gets the amount of space between row `row`, and row `row + 1`.

  Parameters:
    `row` - A row in the table, 0 indicates the first row.

### getColumnSpacing

    public int getColumnSpacing(int column)

  Gets the amount of space between column `column`, and column `column + 1`.

  Parameters:
    `column` - A row in the table, 0 indicates the first row.

### getDefaultRowSpacing

    public int getDefaultRowSpacing()

  returns the default spacing between rows. The only way to change this is to use `setRowSpacings`, which changes the spacing of all cells, regardless of whether they have been set independently.

  See Also:
    `setRowSpacing(int, int)`

### getDefaultColumnSpacing

    public int getDefaultColumnSpacing()

  returns the default spacing between columns. The only way to change this is to use `setColumnSpacings`, which changes the spacing of all cells, regardless of whether they have been set independently.

  See Also:
    `setColumnSpacing(int, int)`

### setRowSpacing

    public void setRowSpacing(int spacing)

  Sets the space between every row in the table. This overrides any previous changes to particular cells.

  Parameters:
    `spacing` - The number of pixels of space to place between every row in the table.

### setColumnSpacing

    public void setColumnSpacing(int spacing)

  Sets the space between every column in the table. This overrides any previous changes to particular cells.

  Parameters:
    `spacing` - The number of pixels of space to place between every column in the table.

### setHomogeneous

    public void setHomogeneous(boolean homogeneous)

  Changes the homogenous property of table cells (ie whether all cells are an equal size or not).

  Parameters:
    `homogeneous` - Set to TRUE to ensure all table cells are the same size. Set to FALSE if this is not your desired behaviour.

### getHomogeneous

    public boolean getHomogeneous()

  Returns whether the table cells are all constrained to the same width and height

  Returns:
    TRUE if the cells are all constrained to the same size
  See Also:
    `setHomogeneous(boolean)`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_table_get_type

    protected static final int gtk_table_get_type()

### gtk_table_new

    protected static final Handle gtk_table_new(int rows,
                                                int columns,
                                                boolean homogenous)

### gtk_table_resize

    protected static final void gtk_table_resize(Handle table,
                                                 int rows,
                                                 int cols)

### gtk_table_attach

    protected static final void gtk_table_attach(Handle table,
                                                 Handle child,
                                                 int leftAttach,
                                                 int rightAttach,
                                                 int topAttach,
                                                 int bottomAttach,
                                                 int xoptions,
                                                 int yoptions,
                                                 int xpadding,
                                                 int ypadding)

### gtk_table_attach_defaults

    protected static final void gtk_table_attach_defaults(Handle table,
                                                          Handle child,
                                                          int leftAttach,
                                                          int rightAttach,
                                                          int topAttach,
                                                          int bottomAttach)

### gtk_table_set_row_spacing

    protected static final void gtk_table_set_row_spacing(Handle table,
                                                          int row,
                                                          int spacing)

### gtk_table_get_row_spacing

    protected static final int gtk_table_get_row_spacing(Handle table,
                                                         int row)

### gtk_table_set_col_spacing

    protected static final void gtk_table_set_col_spacing(Handle table,
                                                          int column,
                                                          int spacing)

### gtk_table_get_col_spacing

    protected static final int gtk_table_get_col_spacing(Handle table,
                                                         int column)

### gtk_table_set_row_spacings

    protected static final void gtk_table_set_row_spacings(Handle table,
                                                           int spacing)

### gtk_table_get_default_row_spacing

    protected static final int gtk_table_get_default_row_spacing(Handle table)

### gtk_table_set_col_spacings

    protected static final void gtk_table_set_col_spacings(Handle table,
                                                           int spacing)

### gtk_table_get_default_col_spacing

    protected static final int gtk_table_get_default_col_spacing(Handle table)

### gtk_table_set_homogeneous

    protected static final void gtk_table_set_homogeneous(Handle table,
                                                          boolean homogeneous)

### gtk_table_get_homogeneous

    protected static final boolean gtk_table_get_homogeneous(Handle table)